[Distutils] zc.buildout and "Not upgrading because not running a local buildout command"

Jim Fulton jim at zope.com
Fri Mar 26 13:35:15 CET 2010

On Wed, Mar 24, 2010 at 6:38 AM, Adam GROSZER <agroszer at gmail.com> wrote:
> Hello,
> Having problems here with the above.
> The thing is that there should be two projects installed on the same
> server, but the one is a zope KGS 3.4 the other is a
> ztk/bluebream-ish.
> The two have different version requirements for setuptools and
> zc.buildout.
> The buildout.cfg comes from the web like this:
> buildout -t 2 -c http://mypypi.org/++projects++/proj/proj-stage-0.0.4.cfg
> (On top of that this is driven by keas.build, but that should not
> matter)
> Buildout (1.4.1) is installed via easy_install and setuptools (0.6c9).
> Therefore the message "Not upgrading because not running a local
> buildout command". The message is reasonable, but still makes problems
> in the way of making the one of the projects non-installable.
> Would not it be easy to create a bin/buildout script and restart with
> that?

The auto-upgrade feature of buildout only works if the buildout script
being run is in the buildout's bin directory. This is a safety feature
to avoid unintentional upgrades of other buildouts.

If you installed buildout with easy_install and want to upgrade it, I
suggest upgrading it with easy_install.


Jim Fulton

More information about the Distutils-SIG mailing list